summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorLars Gustäbel <lars@gustaebel.de>2014-02-02 07:29:14 +0100
committerAllan McRae <allan@archlinux.org>2014-02-02 07:30:59 +0100
commit47a4741a3cfb256ac0348c97d14ad79a0ff2618d (patch)
treec6ab05e5fe8c3b7f632691b296a6b77624ed08df
parente4f6edf2374185c76a1f42a1aa6156d479bc6f40 (diff)
downloadpacman-47a4741a3cfb256ac0348c97d14ad79a0ff2618d.tar.gz
pacman-47a4741a3cfb256ac0348c97d14ad79a0ff2618d.tar.xz
Prevent makepkg creating armored signatures
If the user has "armor" in thier gpg.conf, makepkg will create an ascii-armored signature. Use --no-armor in the gpg call to avoid. FS#38503. Signed-off-by: Allan McRae <allan@archlinux.org>
-rw-r--r--scripts/makepkg.sh.in2
1 files changed, 1 insertions, 1 deletions
diff --git a/scripts/makepkg.sh.in b/scripts/makepkg.sh.in
index 7d8a676b..e3d9a936 100644
--- a/scripts/makepkg.sh.in
+++ b/scripts/makepkg.sh.in
@@ -1968,7 +1968,7 @@ create_signature() {
SIGNWITHKEY="-u ${GPGKEY}"
fi
# The signature will be generated directly in ascii-friendly format
- gpg --detach-sign --use-agent ${SIGNWITHKEY} "$filename" &>/dev/null || ret=$?
+ gpg --detach-sign --use-agent ${SIGNWITHKEY} --no-armor "$filename" &>/dev/null || ret=$?
if (( ! ret )); then